import Modul1

def main():
    A = float(input("Амплитуда импульса: "))
    Prod_Imp = int(input("Продолжительность импульса (в отсчетах): "))
    period = int(input("Период (импульс + пауза, в отсчетах): "))
    num_ot = int(input("Общее число отсчетов: "))
    filename = input("Имя файла для сохранения: ")
    
    # Генерация сигнала
    from Modul1 import f
    signal = f(A, Prod_Imp, period, num_ot, filename)
    
    # Вывод результатов
    print('Сгенерирован сигнал')
    for i in range(len(signal)):
        print(f"{i}: {signal[i]}")
    
    print('Все значения сохранены в файл')

    import matplotlib.pyplot as plt
    plt.title('График импульсного сигнала')
    plt.xlabel('Номер отсчета')
    plt.ylabel('Амплитуда')
    plt.plot(signal)
    plt.show()

main()

